Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class QualificationDiscountId

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.discount.mgmt.QualificationDiscountId

public class QualificationDiscountId
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

This class represents a unique identifier for a `QualificationDiscountDef` object.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `cName` This class's name

Constructor Summary
`QualificationDiscountId(int id)` Constructor

Method Summary
`int` | `compareTo(java.lang.Object obj)`
`boolean` | `equals(java.lang.Object obj)` Tests if this `QualificationDiscountId` object is the same as the one passed
`int` | `hashCode()` A unique code for this discount
`int` | `intValue()` Gets an integer representation of this `QualificationDiscountId`
`java.lang.String` | `toString()` Gets a `String`representation of this `QualificationDiscountId```
`static java.lang.String` | `toString(java.util.Iterator it, int size)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

  This class's name

Constructor Detail

### QualificationDiscountId

    public QualificationDiscountId(int id)

  Constructor

  Parameters:
    `id` - a unique integer

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Tests if this `QualificationDiscountId` object is the same as the one passed

  Parameters:
    `obj` - the `QualificationDiscountId` to compare this one to
  Returns:
    true if the `obj` is the same this `QualificationDiscountId`, false otherwise
  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    compareTo in interface java.lang.Comparable

### hashCode

    public int hashCode()

  A unique code for this discount

  Returns:
    the hashCode for this discount
  Overrides:
    hashCode in class java.lang.Object

### intValue

    public int intValue()

  Gets an integer representation of this `QualificationDiscountId`

  Returns:
    an integer representation of this `QualificationDiscountId`

### toString

    public java.lang.String toString()

  Gets a `String`representation of this `QualificationDiscountId```

  Returns:
    a `String`representation of this `QualificationDiscountId```
  Overrides:
    toString in class java.lang.Object

### toString

    public static java.lang.String toString(java.util.Iterator it,
                                            int size)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved